if(NOT Freenect_DIR)
    set(Freenect_SOURCE_DIR  ${DEVEL_DIR}/Freenect-0.3.0)
    set(Freenect_INSTALL_DIR ${LIB_DIR}/Freenect-0.3.0)
    ExternalProject_Add(Freenect
        PREFIX       ${PROJECT_BINARY_DIR}/Freenect
        URL          https://github.com/OpenKinect/libfreenect/archive/v0.3.0.zip
        URL_MD5      d92e71a5305114ce562355e10a8c4efb
        INSTALL_DIR  ${Freenect_INSTALL_DIR}
        SOURCE_DIR   ${Freenect_SOURCE_DIR}
        CMAKE_ARGS   -DCMAKE_INSTALL_PREFIX:PATH=<INSTALL_DIR>
                     -DCMAKE_BUILD_TYPE=${CMAKE_BUILD_TYPE}
    )
    set(Freenect_INTERNAL ON)
    set(Freenect_INCLUDE_DIR ${Freenect_INSTALL_DIR}/include/libfreenect)
    set(Freenect_LIB_DIR ${Freenect_INSTALL_DIR}/lib)
    if(CMAKE_SIZEOF_VOID_P EQUAL 8)
        set(Freenect_LIB_DIR ${Freenect_INSTALL_DIR}/lib64)
    endif()
    set(Freenect_LIBRARIES ${Freenect_LIB_DIR}/libfreenect.so)
endif()
